* Encoding: windows-1252.
title 1961 CENSUS OF CANADA- HOUSEHOLDS.
subtitle SPSS commands by UTL 2001-01, rev. 2016-06.
FILE HANDLE in NAME='x/fam_102-stj' lrecl=230. /*replace x with the path to the location where you have stored the  data file.
/*/ JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
/*/  EXEC SPSSX
/*/IN  DD DSN=
/*/OUT  DD DSN=
/*/SYSIN  DD *

DATA LIST   FILE=IN RECORDS=1/
    PROV            1 -      1  (A)
    DISTRICT        2 -      3
    EA              4 -      6
    COUNTY          7 -      8
    MSUB            9 -      9 (A)
    MUNICIP        10 -     11
    MAREA          12 -     13 
    CTRACT         14 -     16
    MUNSIZ         17 -     17 (A)
    RUSIZE         18 -     18  (A)
    MAP            19 -     19
    RESID          20 -     20
    BLANK1         21 -     25
    TPHH           26 -     29
    THH            30 -     32
    NFHH           33 -     35
    NOFHH          36 -     38
    NOFHH1         39 -     41
    NOFHH1A        42 -     44
    NOFHH1B        45 -     47
    NOFHH2         48 -     50
    NTFHH          51 -     53
    NTFHH1         54 -     56
    NTFHH2         57 -     59
    NONFHH         60 -     62
    NONFHH1        63 -     65
    NONFHH2        66 -     68
    PHH1           69 -     71
    PHH2           72 -     74
    PHH3           75 -     77
    PHH4           78 -     80
    PHH5           81 -     83
    PHH6           84 -     86
    PHH7           87 -     89
    PHH8           90 -     92
    PHH9           93 -     95
    PHH10          96 -     98
    LHH1           99 -    101
    LHH2          102 -    104
    LHH3          105 -    107
    LHH4          108 -    110
    LHH5          111 -    113
    LHH6          114 -    116
    NHHOF         117 -    119
    NHHOFA        120 -    122
    NHHOFA1       123 -    125
    NHOFA1A       126 -    128
    NHOFA1B       129 -    131
    NHOFA1B1      132 -    134
    NHOFA1B2      135 -    137
    NHOFA1B3      138 -    140
    NHHOFA2       141 -    143
    NHOFA2A       144 -    146
    NHOFA2B       147 -    149
    NHOFA2B1      150 -    152
    NHOFA2B2      153 -    155
    NHOFA2B3      156 -    158
    NHHOFB        159 -    161
    NHOFB1        162 -    164
    NHOFB1A       165 -    167
    NHOFB1B       168 -    170
    NHOFB2        171 -    173
    NHOFB2A       174 -    176
    NHOFB2B       177 -    179
    NHHTF         180 -    182
    NHHTFA        183 -    185
    NHTFA1        186 -    188
    NHTFA2        189 -    191
    NHTFA3        192 -    194
    NHHTFB        195 -    197
    NHTFB1        198 -    200
    NHTFB2        201 -    203
    NHTFB3        204 -    206
    NHHNF         207 -    209
    NHHNFA        210 -    212
    NHHNFB        213 -    215
    NHNFB1        216 -    218
    NHNFB2        219 -    221
    NHNFB3        222 -    224
    BLANK2        225 -    227
    BLANK3        228 -    229
    RECMARK       230 -    230  (A).
VARIABLE LABELS
  PROV      'PROVINCE'
  DISTRICT  'ELECTORAL DISTRICT'
  EA        'ENUMERATION AREA'
  COUNTY    'COUNTY (CENSUS DIVISION)'
  MSUB      'MUNICIPALITY SUBDIVISION'
  MUNICIP   'MUNICIPALITY'
  MAREA     'METROPOLITAN-MAJOR URBAN AREA'
  CTRACT    'CENSUS TRACT'
  MUNSIZ    'MUNICIPALITY SIZE'
  RUSIZE    'RURAL-URBAN SIZE'
  MAP       'METROPOLITAN AREA PART'
  RESID     'RESIDENCE'
  BLANK1    'BLANKS'
  TPHH      'TOTAL PERSONS IN HOUSEHOLDS'
  THH       'TOTAL HOUSEHOLDS'
  NFHH      'NUMBER OF FAMILY HOUSEHOLD'
  NOFHH     'NUMBER OF ONE FAMILY HOUSEHOLD'
  NOFHH1    'ONE FAMILY HOUSEHOLD:FAMILY OF HOUSEHOLD HEAD'
  NOFHH1A   'FAM OF HOUSEHOLD HEAD:WITHOUT ADDITIONAL PERSONS'
  NOFHH1B   'FAM OF HOUSEHOLD HEAD:WITH ADDITIONAL PERSONS'
  NOFHH2    'FAMILY OTHER THAN THAT OF HOUSEHOLD HEAD'
  NTFHH     'NUMBER OF TWO-OR-MORE FAMILY HOUSEHOLD'
  NTFHH1    'TWO FAM HOUSEHOLD:INCLUDING FAM OF HOUSEHOLD HEAD'
  NTFHH2    'TWO FAM HOUSEHOLD:WITH NO FAM OF HOUSEHOLD HEAD'
  NONFHH    'NUMBER OF NON-FAMILY HOUSEHOLD'
  NONFHH1   'NON-FAMILY HOUSEHOLD: ONER PERSON ONLY'
  NONFHH2   'NON-FAMILY HOUSEHOLD: TWO OR MORE PERSONS'
  PHH1      'NUMBER OF HOUSEHOLDS WITH 1 PERSON'
  PHH2      'NUMBER OF HOUSEHOLDS WITH 2 PERSONS'
  PHH3      'NUMBER OF HOUSEHOLDS WITH 3 PERSONS'
  PHH4      'NUMBER OF HOUSEHOLDS WITH 4 PERSONS'
  PHH5      'NUMBER OF HOUSEHOLDS WITH 5 PERSONS'
  PHH6      'NUMBER OF HOUSEHOLDS WITH 6 PERSONS'
  PHH7      'NUMBER OF HOUSEHOLDS WITH 7 PERSONS'
  PHH8      'NUMBER OF HOUSEHOLDS WITH 8 PERSONS'
  PHH9      'NUMBER OF HOUSEHOLDS WITH 9 PERSONS'
  PHH10     'NUMBER OF HOUSEHOLDS WITH 10 OR MORE PERSONS'
  LHH1      'NUMBER OF HOUSEHOLDS WITH NO LODGERS'
  LHH2      'NUMBER OF HOUSEHOLDS WITH 1 LODGER'
  LHH3      'NUMBER OF HOUSEHOLDS WITH 2 LODGERS'
  LHH4      'NUMBER OF HOUSEHOLDS WITH 3 LODGERS'
  LHH5      'NUMBER OF HOUSEHOLDS WITH 4 LODGERS'
  LHH6      'NUMBER OF HOUSEHOLDS WITH 5 OR MORE LODGERS'
  NHHOF     'NUMBER OF ONE-FAMILY HOUSEHOLD'
  NHHOFA    'ONE-FAMILY HOUSEHOLD: FAMILY OF HOUSEHOLD HEAD'
  NHHOFA1   'FAMILY OF HOUSEHOLD HEAD:BOTH PARENTS AT HOME'
  NHOFA1A   'BOTH PARENTS AT HOME:WITHOUT ADDITIONAL PERSONS'
  NHOFA1B   'BOTH PARENTS AT HOME:WITH ADDITIONAL PERSONS'
  NHOFA1B1  'WITH ADDITIONAL PERSONS:RELATED TO HEAD'
  NHOFA1B2  'WITH ADDITIONAL PERSONS:NOT RELATED TO HEAD'
  NHOFA1B3  'WITH ADDITIONAL PERSONS:BOTH RELATED-NOT RELATED'
  NHHOFA2   'FAMILY OF HOUSEHOLD HEAD:ONE PARENT ONLY AT HOME'
  NHOFA2A   'ONE PARENT ONLY AT HOME:WITHOUT ADDITIONAL PERSONS'
  NHOFA2B   'ONE PARENT ONLY AT HOME:WITH ADDITIONAL PERSONS'
  NHOFA2B1  'WITH ADDITIONAL PERSONS:RELATED TO HEAD'
  NHOFA2B2  'WITH ADDITIONAL PERSONS:NOT RELATED TO HEAD'
  NHOFA2B3  'WITH ADDITIONAL PERSONS:BOTH RELATED-NOT RELATED'
  NHHOFB    'ONE-FAMILY HOUSEHOLD:FAM OTHER THAN HOUSEHOLD HEAD'
  NHOFB1    'FAM OTHER THAN HOUSEHOLD HEAD FAM:RELATED TO HEAD'
  NHOFB1A   'RELATED TO HEAD: BOTH PARENTS AT HOME'
  NHOFB1B   'RELATED TO HEAD: ONE PARENT ONLY AT HOME'
  NHOFB2    'FAM OTHER THAN HOUSEHOLD HEAD:NOT RELATED TO HEAD'
  NHOFB2A   'NOT RELATED TO HEAD: BOTH PARENTS AT HOME'
  NHOFB2B   'NOT RELATED TO HEAD: ONE PARENT ONLY AT HOME'
  NHHTF     'NUMBER OF TWO-OR-MORE FAMILY HOUSEHOLD'
  NHHTFA    'TWO FAM HOUSEHOLD:INCLUDING FAM OF HOUSEHOLD HEAD'
  NHTFA1    'INCLUDING FAM OF HOUSEHOLD HEAD:WITH RELATED FAM'
  NHTFA2    'WITH NO RELATED FAMILY (IES)'
  NHTFA3    'WITH BOTH RELATED AND NOT RELATED FAMILIES'
  NHHTFB    'TWO FAM HOUSEHOLD:WITH NO FAM OF HOUSEHOLD HEAD'
  NHTFB1    'WITH NO FAM OF HOUSEHOLD HEAD:RELATED FAM ONLY'
  NHTFB2    'NOT REALTED FAMILIES ONLY'
  NHTFB3    'BOTH RELATED AND NOT RELATED FAMILIES'
  NHHNF     'NUMBER OF NON-FAMILY HOUSEHOLD'
  NHHNFA    'NON-FAMILY HOUSEHOLD: ONE PERSON ONLY'
  NHHNFB    'NON-FAMILY HOUSEHOLD:TWO-OR-MORE PERSONS'
  NHNFB1    'TWO-OR-MORE PERSONS: RELATED TO HEAD'
  NHNFB2    'TWO-OR-MORE PERSONS: NOT RELATED TO HEAD'
  NHNFB3    'TWO-OR-MORE PERSONS:BOTH RELATED AND NOT RELATED'
  BLANK2    'BLANKS'
  BLANK3    'BLANKS'
  RECMARK   'RECORD MARK'.
VALUE LABELS
    PROV      '&'  'YUKON TERRITORY'  /*original documentation stated Yukon was '+' but that is incorrect.
          '-'  'NORTHWEST TERRITORIES'
          '0'  'NEWFOUNDLAND'
          '1'  'PRINCE EDWARD ISLAND'
          '2'  'NOVA SCOTIA'
          '3'  'NEW BRUNSWICK'
          '4'  'QUEBEC'
          '5'  'ONTARIO'
          '6'  'MANITOBA'
          '7'  'SASKATCHEWAN'
          '8'  'ALBERTA'
          '9'  'BRITISH COLUMBIA'
         /
    MAREA     01          'ST. JOHNS'
          02          'HALIFAX'
          03          'SAINT JOHN'
          04          'QUEBEC'
          05          'MONTREAL'
          06          'OTTAWA'
          07          'TORONTO'
          08          'HAMILTON'
          09          'KITCHENER-WATERLOO'
          10          'LONDON'
          11          'WINDSOR'
          12          'SUDBURY'
          13          'WINNIPEG'
          14          'CALGARY'
          15          'EDMONTON'
          16          'VANCOUVER'
          17          'VICTORIA'
          21          'TROIS RIVIERES'
          22          'SHERBROOKE'
          23          'KINGSTON'
          24          'OSHAWA'
          25          'REGINA'
          26          'SASKATOON'
          30          'SIDNEY-GLACE BAY'
          31          'MONCTON'
          32          'CHICOUTIMI JONQUIERE'
          34          'SHAWINIGAN'
          35          'DRUMMONDVILLE'
          37          'ST. JEAN'
          38          'VALLEYFIELD'
          39          'ST. JEROME'
          40          'PETERBOROUGH'
          42          'GUELPH'
          43          'BRANTFORD'
          44          'ST. CATHERINES'
          45          'NIAGARA FALLS'
          46          'SARNIA'
          47          'SAULT STE. MARIE'
          48          'TIMMINS'
          49          'FORT WILLIAM-PORT ARTHUR'
          60          'WINDSOR(NFLD.)'
          62          'WABANA'
          63          'NEW GLASGOW'
          64          'TRURO'
          65          'FREDERICTON'
          66          'CAMPBELLTON'
          67          'RIMOUSKI'
          68          'MAGOG'
          69          'THETFORD MINES'
          70          'VICTORIAVILLE'
          71          'SOREL'
          72          'ST. HYACINTHE'
          73          'JOLIETTE'
          74          'ROUYN'
          75          'VAL DOR'
          76          'ALMA'
          77          'PEMBROKE'
          78          'GEORGETOWN'
          79          'PORT COLBORNE'
          80          'ORILLIA'
          81          'NORTH BAY'
          82          'KIRKLAND LAKE'
          83          'KENORA'
          84          'KELOWNA'
          85          'KAMLOOPS'
          86          'PRINCE GEORGE'
          87          'PORT ALBERNI'
          88          'NANAIMO'
         /
    MUNSIZ    'A'           'RURAL-100,000+'
          'B'           'R:30,000-99,999'
          'C'           'R:25,000-29,999'
          'D'           'R:10,000-24,999'
          'E'           'R:5,000-9,999'
          'F'           'R:2,500-4,999'
          'G'           'R:1,000-2,499'
          'H'           'R:LESS THAN 1,000'
          1           'URBAN:100,000+'
          2           'U:30,000-99,999'
          3           'U:25,000-29,999'
          4           'U:10,000-24,999'
          5           'U:5,000-9,999'
          6           'U:2,500-4,999'
          7           'U:1,000-2,499'
          8           'U:LESS THAN 1,000'
         /
    RUSIZE    'A'  'RURAL (ANY SIZE)'
          1  '100,000 AND OVER'
          2  '30,000 TO 99,999'
          3  '25,000 TO 29,999'
          4  '10,000 TO 24,999'
          5  '5,000 TO 9,999'
          6  '2,500 TO 4,999'
          7  '1,000 TO 2,499'
         /
    MAP       1           'CENTRAL CITY'
          2           'URBAN FRINGE'
          3           'RURAL FRINGE'
         /
    RESID     0           'FARM'
          1           'NON-FARM'
         /.
/*SAVE OUTFILE=OUT
EXECUTE.
SAVE OUTFILE= 'y'/* Replace y with path and file name (use .sav extension) to save the file
 /MAP
 /COMPRESSED. /* Delete this line if you want an uncompressed file
 

